<?php


namespace ShahariaAzam\WPPlugin\DeshiNewsAggregator\DB;


use ShahariaAzam\WPPlugin\DeshiNewsAggregator\Cron\GetNews;

class Install
{
    public static function createTables()
    {
        global $wpdb;

        $table_name = $wpdb->prefix . DESHI_NEWS_AGGREGATOR_PLUGIN_DB_TABLE_PREFIX . "news_headlines";

        $charset_collate = $wpdb->get_charset_collate();

        $sql = "CREATE TABLE $table_name (
		id mediumint(9) NOT NULL AUTO_INCREMENT,
		title TEXT NOT NULL,
		url TEXT NOT NULL,
		featured_image_url TEXT NULL,
		api_fetched_at datetime DEFAULT '0000-00-00 00:00:00' NOT NULL,
		source_name VARCHAR(20) NULL DEFAULT 'prothom-alo',
		PRIMARY KEY  (id)
	) $charset_collate;";

        require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
        dbDelta($sql);

        add_option('DESHI_NEWS_AGGREGATOR_PLUGIN_db_version', DESHI_NEWS_AGGREGATOR_PLUGIN_DB_VERSION);

        //Initial news headlines
        self::insertInitialNewsHeadlines();
    }

    public function updateDBCheck()
    {
        if (get_site_option('DESHI_NEWS_AGGREGATOR_PLUGIN_db_version') != DESHI_NEWS_AGGREGATOR_PLUGIN_DB_VERSION) {
            self::createTables();
        }
    }

    public static function insertInitialNewsHeadlines()
    {
        $news = new GetNews();
        $news->fetch();
    }
}