<?php


namespace ShahariaAzam\WPPlugin\DeshiNewsAggregator\Widgets;


use ShahariaAzam\WPPlugin\DeshiNewsAggregator\DB\Queries;

class NAWidgetOne extends \WP_Widget
{
    public function __construct()
    {
        $widget_options = array(
            'classname' => 'ShahariaAzam\WPPlugin\DeshiNewsAggregator\Widgets\NAWidgetOne',
            'description' => 'Add this widget to display Bangladeshi news',
        );
        parent::__construct('news_aggregator_widget_one', 'News Aggregator', $widget_options);
    }

    public function widget($args, $instance)
    {
        $title = apply_filters('widget_title', $instance['title']);
        $totalNews = isset($instance['total_news']) ? $instance['total_news'] : 10;


        $db = new Queries();
        $getNews = $db->getNews($totalNews);


	    //add_action( 'wp_enqueue_scripts', array($this, 'add_theme_scripts') );
	    wp_enqueue_style( 'dna_widget_style', "/wp-content/plugins/" . DESHI_NEWS_AGGREGATOR_PLUGIN_SLUG . '/statics/css/dna_widget_style.css',false,'1.1','all');

        echo $args['before_widget'] . $args['before_title'] . $title . $args['after_title']; ?>

        <ul class="na_widget_one_ul">

            <!-- Design the HTML loop of news -->
        <?php foreach ($getNews as $news) { ?>


            <li class="na_widget_one_headlines">
                <div class="na_widget_one_headlines_featured_img">
                    <img src="<?php echo $news->featured_image_url; ?>">
                </div>
                <div class="na_widget_one_headlines_headline">
                    <a target="_blank" rel="nofollow" href="<?php echo $news->url; ?>"><?php echo $news->title; ?></a>
                </div>
            </li>

        <!-- End of Loop -->
    <?php } ?>

        </ul>

        <?php echo $args['after_widget'];
    }

    public function form($instance)
    {
        $title = !empty($instance['title']) ? $instance['title'] : '';
        $totalNews = !empty($instance['total_news']) ? $instance['total_news'] : ''; ?>
        <p>
            <label for="<?php echo $this->get_field_id('title'); ?>">Title:</label>
            <input type="text" id="<?php echo $this->get_field_id('title'); ?>"
                   name="<?php echo $this->get_field_name('title'); ?>" value="<?php echo esc_attr($title); ?>"/>
        </p><p>
        <label for="<?php echo $this->get_field_id('total_news'); ?>">Total News:</label>
        <input type="number" id="<?php echo $this->get_field_id('total_news'); ?>"
               name="<?php echo $this->get_field_name('total_news'); ?>" value="<?php echo esc_attr($totalNews); ?>"/>
        </p><?php
    }

    public function update($new_instance, $old_instance)
    {
        $instance = $old_instance;
        $instance['title'] = strip_tags($new_instance['title']);
        $instance['total_news'] = strip_tags($new_instance['total_news']);
        return $instance;
    }
}